PostgreSQL 7.1.3 Documentation
Prev |  | Next

# DROP TYPE

## Name

DROP TYPE -- Removes user-defined types from the system catalogs

## Synopsis

    DROP TYPE typename [, ...]

### Inputs

`typename`

  The name of an existing type.

### Outputs

`DROP`

  The message returned if the command is successful.

`ERROR: RemoveType: type '`typename`' does not exist`

  This message occurs if the specified type is not found.

## Description

DROP TYPE will remove a user type from the system catalogs.

Only the owner of a type can remove it.

### Notes

DROP TYPE statement is a Postgres language extension.

Refer to CREATE TYPE for information on how to create types.

It is the user's responsibility to remove any operators, functions, aggregates, access methods, subtypes, and tables that use a deleted type.

If a built-in type is removed, the behavior of the backend is unpredictable.

## Usage

To remove the `box` type:

    DROP TYPE box;

## Compatibility

### SQL3

DROP TYPE is a SQL3 statement.

Prev | Home | Next
DROP TRIGGER | Up | DROP USER